#!/bin/env ruby
h = {}
for line in ARGF.each_line
  time, cnt, sum, sumsq, min, max = line.split.map(&:to_i)
  if e=h[time]
    e[0] += cnt
    e[1] += sum
    e[2] += sumsq
    e[3] = min if min < e[3]
    e[4] = max if max > e[4]
  else
    h[time] = [cnt, sum, sumsq, min, max]
  end
end
for time, r in h.sort
  puts "#{time} #{r.join(" ")}"
end
